<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mmaster extends CI_Model
{



    function __construct()
    {
        parent::__construct();
    }

    // datatables
    function wpjson()
    {
        memory_get_usage();
        $this->datatables->select('SUBJEK_PAJAK_ID NIK,NM_WP,JALAN_WP,KELURAHAN_WP,KOTA_WP');
        $this->datatables->from('DAT_SUBJEK_PAJAK');
        //add this line for join
        //$this->datatables->join('table2', 'p_group.field = table2.field');
        // $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('group/update/$1'),'<i class="fa fa-edit"></i>','class="btn btn-xs btn-success"').anchor(site_url('group/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" onclick="javasciprt: return confirm(\'Apakah anda yakin?\')"').'</div>', 'KODE_GROUP');
        return $this->datatables->generate();
    }


    function getkecamatan($prop, $kab, $kec)
    {
        $rk = $this->db->query("select  kd_kecamatan||' - '||nm_kecamatan res
                                from ref_kecamatan  where kd_propinsi='$prop' and kd_dati2='$kab' and kd_kecamatan='$kec'")->row();
        if ($rk) {
            echo $rk->RES;
        } else {
            echo "";
        }
    }

    function getkelurahan($prop, $kab, $kec, $kel)
    {
        $rk = $this->db->query("select kd_kelurahan||' - '||nm_kelurahan res from ref_kelurahan  where kd_propinsi='$prop' and kd_dati2='$kab' and kd_kecamatan='$kec' and kd_kelurahan='$kel'")->row();
        if ($rk) {
            echo $rk->RES;
        } else {
            echo "";
        }
    }


    function penyebut($nilai)
    {
        $nilai = abs($nilai);
        $huruf = array("", "satu", "dua", "tiga", "empat", "lima", "enam", "tujuh", "delapan", "sembilan", "sepuluh", "sebelas");
        $temp = "";
        if ($nilai < 12) {
            $temp = " " . $huruf[$nilai];
        } else if ($nilai < 20) {
            $temp = $this->penyebut($nilai - 10) . " belas";
        } else if ($nilai < 100) {
            $temp = $this->penyebut($nilai / 10) . " puluh" . $this->penyebut($nilai % 10);
        } else if ($nilai < 200) {
            $temp = " seratus" . $this->penyebut($nilai - 100);
        } else if ($nilai < 1000) {
            $temp = $this->penyebut($nilai / 100) . " ratus" . $this->penyebut($nilai % 100);
        } else if ($nilai < 2000) {
            $temp = " seribu" . $this->penyebut($nilai - 1000);
        } else if ($nilai < 1000000) {
            $temp = $this->penyebut($nilai / 1000) . " ribu" . $this->penyebut($nilai % 1000);
        } else if ($nilai < 1000000000) {
            $temp = $this->penyebut($nilai / 1000000) . " juta" . $this->penyebut($nilai % 1000000);
        } else if ($nilai < 1000000000000) {
            $temp = $this->penyebut($nilai / 1000000000) . " milyar" . $this->penyebut(fmod($nilai, 1000000000));
        } else if ($nilai < 1000000000000000) {
            $temp = $this->penyebut($nilai / 1000000000000) . " trilyun" . $this->penyebut(fmod($nilai, 1000000000000));
        }
        return $temp;
    }

    function terbilang($nilai)
    {
        if ($nilai < 0) {
            $hasil = "minus " . trim($this->penyebut($nilai));
        } else {
            $hasil = trim($this->penyebut($nilai));
        }
        return $hasil;
    }
    function getIP()
    {
        $ipaddress = '';
        if (isset($_SERVER['HTTP_CLIENT_IP']))
            $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
        else if (isset($_SERVER['HTTP_X_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
        else if (isset($_SERVER['HTTP_X_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
        else if (isset($_SERVER['HTTP_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
        else if (isset($_SERVER['HTTP_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_FORWARDED'];
        else if (isset($_SERVER['REMOTE_ADDR']))
            $ipaddress = $_SERVER['REMOTE_ADDR'];
        else
            $ipaddress = 'UNKNOWN';

        return $ipaddress;
    }
}

/* End of file Mgroup.php */
/* Location: ./application/models/Mgroup.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-28 01:25:45 */
/* http://harviacode.com */
